Name:		sakura
Summary:	A lightweight terminal emulator with very few dependencies
Version:	3.3.1
Release:	%mkrel 1
License:	GPLv2
Group:		Terminals
Url:		http://launchpad.net/sakura
Source0:	http://launchpad.net/sakura/trunk/%{version}/+download/%{name}-%{version}.tar.bz2
BuildRequires:	pkgconfig(glib-2.0) >= 2.20
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(vte-2.91)
BuildRequires:	cmake
BuildRequires:	gettext

%description
Sakura is a terminal emulator based on GTK and VTE. It's a terminal emulator
with few dependencies, so you don't need a full GNOME desktop installed to have
a decent terminal emulator. Current terminal emulators based on VTE are
gnome-terminal, XFCE Terminal, TermIt and a small sample program included in
the vte sources. The differences between sakura and the last one are that it
uses a notebook to provide several terminals in one window and adds a
contextual menu with some basic options. No more no less. 

%prep
%setup -q

%build
%cmake \
	-DLOCALE_INSTALL_DIR=%{_datadir}/locale \
	-DLIB_INSTALL_DIR=%{_libdir}
%make

%install
%make_install -C build
rm -f %{buildroot}%{_docdir}/%{name}/INSTALL
%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/terminal-tango.svg
%{_mandir}/man1/%{name}.1*


%changelog
* Mon Nov 23 2015 alexl <alexl> 3.3.1-1.mga6
+ Revision: 905085
- version 3.3.1
- del upstreamed genericname.patch

* Sun Nov 22 2015 alexl <alexl> 3.3.0-1.mga6
+ Revision: 904891
- version 3.3.0
- add GenericName in desktop file
- s/makeinstall_std/make_install/

* Wed Oct 15 2014 umeabot <umeabot> 3.1.5-3.mga5
+ Revision: 751216
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.1.5-2.mga5
+ Revision: 689021
- Mageia 5 Mass Rebuild

* Wed Aug 27 2014 fwang <fwang> 3.1.5-1.mga5
+ Revision: 668854
- 3.1.5
- add patch to build with new vte

* Sun Apr 13 2014 alexl <alexl> 3.1.3-1.mga5
+ Revision: 613869
- imported package sakura

